# PDFC-Samples

This project provides code samples for the API usage of the [i-net PDF Content Comparer](https://www.inetsoftware.de/products/pdf-content-comparer "i-net PDF Content Comparer"). 
The samples are all written in Java and contain numerous examples for 

* Basic comparison procedure calls
* Analysis of the comparison results
* Customization of the comparison parameters by use of configuration settings
* Use of filters to control the comparison input  
* Generation of comparison reports with different format and layout
* Usage of the PDF Parser to inspect PDF documents 

To run the example projects, you need to have a Java Runtime Version installed. 

# Installation - Setting up the dependencies

Download the latest PDFC SDK at https://download.inetsoftware.de/pdfc-sdk-latest.zip and unzip the archive to a local directory. After that
 
1. Unpack the `*.jar` files from the plugins `plugins/pdfc.zip` and `plugins/reporting.zip` into the `lib` folder of the project and add these jar-files to the classpath.
2. copy `java/inetcore.jar`  into the `lib` folder of the project and add these jar-files to the classpath.
3. copy the directory `i-net PDFC/lang` into the project folder (only for tesseract (OCR) usage)
4. copy at least the plugin files `plugins/parser.*.zip` and `plugins/filter.*.zip`into the
`plugins`-folder of the project, for OCR the files `plugins/ocr.*.zip` are needed as well 

After that, you are able to compile the project and run the sample programs.
